Main Page Packages Class Hierarchy Compound List File List Compound Members

# documenttypegetentitieslength Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| documenttypegetentitieslength (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

Duplicate entities are to be discarded.

Retrieve the Document Type for this document and create

a NamedNodeMap of all its entities. The entity named

"ent1" is defined twice and therefore that last

occurrance should be discarded.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-1788794630

Definition at line 51 of file documenttypegetentitieslength.java.

## Constructor & Destructor Documentation

documenttypegetentitieslength::documenttypegetentitieslength | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file documenttypegetentitieslength.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String documenttypegetentitieslength::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 69 of file documenttypegetentitieslength.java.
    00069                                 {
    00070       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/documenttypegetentitieslength";
    00071    }

void documenttypegetentitieslength::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 72 of file documenttypegetentitieslength.java. References DOMTestCase::doMain().
    00072                                           {
    00073         DOMTestCase.doMain(documenttypegetentitieslength.class,args);
    00074    }

void documenttypegetentitieslength::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file documenttypegetentitieslength.java. References DOMTestCase::assertSize(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       DocumentType docType;
    00062       NamedNodeMap entityList;
    00063       doc = load("staff");
    00064       docType = doc.getDoctype();
    00065       entityList = docType.getEntities();
    00066       assertSize("documenttypeGetEntitiesLengthAssert",5,entityList);
    00067
    00068    }

The documentation for this class was generated from the following file:

- documenttypegetentitieslength.java